## node-cjs-module-lexer 1.2.3+dfsg

=== Makefile ===
lslib/lexer.wat: lib/lexer.wasm
	../wabt/bin/wasm2wat lib/lexer.wasm -o lib/lexer.wat

lib/lexer.wasm: include-wasm/cjs-module-lexer.h src/lexer.c
	@mkdir -p lib
	../wasi-sdk-12.0/bin/clang src/lexer.c -I include-wasm --sysroot=../wasi-sdk-12.0/share/wasi-sysroot -o lib/lexer.wasm -nostartfiles \
	-Wl,-z,stack-size=13312,--no-entry,--compress-relocations,--strip-all,--export=__heap_base,\
	--export=parseCJS,--export=sa,--export=e,--export=re,--export=es,--export=ee,--export=rre,--export=ree,--export=res,--export=ru,--export=us,--export=ue \
	-Wno-logical-op-parentheses -Wno-parentheses \
	-Oz

optimize: lib/lexer.wasm
	../binaryen/bin/wasm-opt -Oz lib/lexer.wasm -o lib/lexer.wasm

clean:
	rm lib/*

## node-cjs-module-lexer 1.2.2+dfsg

=== debian/changelog ===
node-cjs-module-lexer (1.2.2+dfsg-5) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-cjs-module-lexer: Add Multi-Arch: foreign

  [ Yadd ]
  * Restrict autopkgtest to architectures that support lld

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 02 Dec 2022 19:04:42 +0000

node-cjs-module-lexer (1.2.2+dfsg-4) unstable; urgency=medium

  * Team upload
  * Fix jest broken version

 -- Yadd <yadd@debian.org>  Thu, 29 Sep 2022 13:34:59 +0200

node-cjs-module-lexer (1.2.2+dfsg-3) unstable; urgency=medium

  [ Yadd ]
  * Update d/clean

  [ Jérémy Lal ]
  * Breaks jest 28.1.3~ds+~cs70.48.29-1

 -- Jérémy Lal <kapouer@melix.org>  Sat, 10 Sep 2022 18:02:55 +0200

node-cjs-module-lexer (1.2.2+dfsg-2) unstable; urgency=medium

  [ Yadd ]
  * Trim trailing whitespace.
  * Fix copyright

 -- Jérémy Lal <kapouer@melix.org>  Thu, 08 Sep 2022 14:21:36 +0200

node-cjs-module-lexer (1.2.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1019383)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 08 Sep 2022 12:44:44 +0200

=== debian/control ===
Source: node-cjs-module-lexer
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , clang
 , lld
 , mocha <!nocheck>
 , node-babel-cli
 , node-babel-core
 , node-babel-plugin-transform-modules-commonjs
 , terser
 , wasi-libc
Standards-Version: 4.6.1
Homepage: https://github.com/nodejs/cjs-module-lexer#readme
Vcs-Git: https://salsa.debian.org/js-team/node-cjs-module-lexer.git
Vcs-Browser: https://salsa.debian.org/js-team/node-cjs-module-lexer
Rules-Requires-Root: no

Package: node-cjs-module-lexer
Architecture: all
Breaks: jest (<< 29)
Depends:
 ${misc:Depends}
Multi-Arch: foreign
Description: Fast lexer to extract named exports from CommonJS modules
 Very fast JavaScript CommonJS module syntax lexer used to detect
 the most likely list of named exports of a CommonJS module.
 .
 It is used by Node.js for CommonJS and ES Modules interoperability.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-cjs-module-lexer 1.2.3+dfsg

=== debian/changelog ===
node-cjs-module-lexer (1.2.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository
  * Update standards version to 4.6.2, no changes needed
  * New upstream version 1.2.3+dfsg
  * Drop mocha patch

 -- Yadd <yadd@debian.org>  Sun, 21 Jan 2024 16:21:23 +0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  , node-babel-plugin-transform-modules-commonjs
  , terser
  , wasi-libc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/nodejs/cjs-module-lexer#readme
 Vcs-Git: https://salsa.debian.org/js-team/node-cjs-module-lexer.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-cjs-module-lexer

## node-cjs-module-lexer 2.1.0+dfsg

=== debian/changelog ===
node-cjs-module-lexer (2.1.0+dfsg-1) experimental; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * New upstream version 2.1.0+dfsg
  * Refresh patch

 -- Yadd <yadd@debian.org>  Thu, 14 Aug 2025 14:54:29 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  , node-babel-plugin-transform-modules-commonjs
  , terser
  , wasi-libc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/nodejs/cjs-module-lexer#readme
 Vcs-Git: https://salsa.debian.org/js-team/node-cjs-module-lexer.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-cjs-module-lexer

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
dversionmangle=auto,\
filenamemangle=s/.+\/v?(\d\S+)@ARCHIVE_EXT@/cjs-module-lexer-$1\.tar\.gz/ \
 https://github.com/nodejs/cjs-module-lexer/tags .*/v?(\d\S+)\.tar\.gz
